/*
 * Photo Image Print System
 * Copyright (C) SEIKO EPSON CORPORATION 2004.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON KOWA Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON KOWA PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON KOWA PUBLIC LICENCE.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __OPT_RSC__
#define __OPT_RSC__

#include "pipsDef.h"


/* Inset Defult */
#define	PIPS_INKSET_DEFAULT PIPS_INKSET_CMYK

#ifndef	_ONLY_NEED_DEFAULT_

/* Option Entry */
char *inkEntry[] = {
  "COLOR", "MONO",
  NULL
};

char *binEntry[] = {
  "AUTO",
  NULL
};

char *mediaSizeEntry[] = {
  "A4", "B5", "A5", "A6", "LT", "LGL", "EXE", "HLT",
  "INDEX5", "INDEX8", "ENV10", "ENVDL", "ENVC6",
  "ENV5X8",  "PHOTO", "4X6FULL", "PP100",
  NULL
};

char *mediaSizeEntry_R[] = {
  NULL
};

char *mediaSizeEntry_TR[] = {
  NULL
};

char *mediaSizeEntry_NMA[] = {
  NULL
};

char *resolutionEntry[] = {
  "120", "360", "720", "240",
  NULL
};

char *mediaTypeEntry[] = {
  "PLAIN", "PLAIN_BKSAVE", "SFINE", "PMMATT" , "GPAPER", "PMPHOTO", "EPS",
  "OHP",
  NULL
};

char *colorModeEntry[] = {
  "PHOTO", "GRAPH", "NONE",
  NULL
};

char *halftoneEntry[] = {
  "ED",
  NULL
};

char *levelEntry[] = {
  "DRAFT", "STD", "FINE", "SFINE", "PHOTO",
  NULL
};

char *multiPageEntry[] = {
	"1", "2", "4",
	NULL
};

char *autoCutEntry[] = {
	NULL
};


/* pModeCol	:	ColorѰ⡼
   pModeMono	:	MonochromeѰ⡼

   MediaNumber	:	pipsDef.h 
   Input	:	1:120, 2:240, 4:360, 8:720
   Halftone	:	<or> 1:ED 2:DB
   MicroWeave   :       0:OFF 1:ON 2:ON/OFF
   HighSpeed	:	0:OFF 1:ON 2:ON/OFF
*/
short pModeCol[] = {
/* mediaName                    Input      MicroWeave   Quality */
/*      MediaNumber                   Halftone  HighSpeed       */
/*PLAIN*/
	PIPS_MED_PLAIN,         1,    1,   0,   1,      0x0000,
	PIPS_MED_PLAIN,         4,    1,   1,   2,      0x0100,
	PIPS_MED_PLAIN,         4,    1,   1,   2,      0x0200,
	PIPS_MED_PLAIN,         8,    1,   1,   2,      0x3000,
/*PLAIN_BKSAVE*/
        PIPS_MED_PLAIN_BKSAVE,  4,    1,   1,   2,      0x0100,
/*COATED720*/
	PIPS_MED_COATED720,     4,    1,   1,   2,      0x0200,
	PIPS_MED_COATED720,     8,    1,   1,   2,      0x3000,
/*MATT_HEAVY*/
	PIPS_MED_MATT_HEAVY,    4,    1,   1,   2,      0x0200,
	PIPS_MED_MATT_HEAVY,    8,    1,   1,   2,      0x3000,
/*GLOSSYPAPER*/
	PIPS_MED_GLOSSYPAPER,   4,    1,   1,   2,      0x0200,
	PIPS_MED_GLOSSYPAPER,   8,    1,   1,   2,      0x3000,
	PIPS_MED_GLOSSYPAPER,   8,    1,   1,   2,      0x4000,
/*RC_PHOTO*/
	PIPS_MED_RC_PHOTO,      8,    1,   1,   0,      0x3000,
	PIPS_MED_RC_PHOTO,      8,    1,   1,   0,      0x4000,
/*EPS*/
	PIPS_MED_EPS,           8,    1,   1,   0,      0x3000,
	PIPS_MED_EPS,           8,    1,   1,   0,      0x4000,
/*OHP*/
	PIPS_MED_TRANSPARENCY,  4,    1,   1,   0,      0x0100,
        -1
};

short pModeMono[] = {
/* mediaName                    Input      MicroWeave   Quality */
/*      MediaNumber                   Halftone  HighSpeed       */
/*PLAIN*/
	PIPS_MED_PLAIN,         1,    1,   0,   1,      0x0000,
	PIPS_MED_PLAIN,         2,    1,   0,   2,      0x0000,
	PIPS_MED_PLAIN,         4,    1,   1,   2,      0x0100,
	PIPS_MED_PLAIN,         4,    1,   1,   2,      0x0200,
	PIPS_MED_PLAIN,         8,    1,   1,   2,      0x3000,
/*PLAIN_BKSAVE*/
        PIPS_MED_PLAIN_BKSAVE,  4,    1,   1,   2,      0x0100,
/*COATED720*/
	PIPS_MED_COATED720,     4,    1,   1,   2,      0x0200,
	PIPS_MED_COATED720,     8,    1,   1,   2,      0x3000,
/*MATT_HEAVY*/
	PIPS_MED_MATT_HEAVY,    4,    1,   1,   2,      0x0200,
	PIPS_MED_MATT_HEAVY,    8,    1,   1,   2,      0x3000,
/*GLOSSYPAPER*/
	PIPS_MED_GLOSSYPAPER,   4,    1,   1,   2,      0x0200,
	PIPS_MED_GLOSSYPAPER,   8,    1,   1,   2,      0x3000,
	PIPS_MED_GLOSSYPAPER,   8,    1,   1,   2,      0x4000,
/*RC_PHOTO*/
	PIPS_MED_RC_PHOTO,      8,    1,   1,   0,      0x3000,
	PIPS_MED_RC_PHOTO,      8,    1,   1,   0,      0x4000,
/*EPS*/
	PIPS_MED_EPS,           8,    1,   1,   0,      0x3000,
	PIPS_MED_EPS,           8,    1,   1,   0,      0x4000,
/*OHP*/
	PIPS_MED_TRANSPARENCY,  4,    1,   1,   0,      0x0100,
        -1        -1
};

#endif /* _ONLY_NEED_DEFAULT_ */

#endif /* __OPT_RSC__ */
